diff -ruN uppsrc.orig/Draw/src.tpp/Display$en-us.tpp uppsrc/Draw/src.tpp/Display$en-us.tpp
--- uppsrc.orig/Draw/src.tpp/Display$en-us.tpp	2010-10-06 18:29:35 +0600
+++ uppsrc/Draw/src.tpp/Display$en-us.tpp	2011-10-12 20:17:30 +0600
@@ -178,6 +178,54 @@
 [s7; [*/ Return value]-|`*this.&]
 [s3;%- &]
 [s4;%- &]
+[s5;:AttrText`:`:GetFont`(`)const:%- [_^Font^ Font]_GetFont()_[@(0.0.255) const]&]
+[s2; Gets the font.&]
+[s7; [*/ Return value]-|The font.&]
+[s3;%- &]
+[s4;%- &]
+[s5;:AttrText`:`:IsBold`(`)const:%- [@(0.0.255) bool]_IsBold()_[@(0.0.255) const]&]
+[s5;:AttrText`:`:IsItalic`(`)const:%- [@(0.0.255) bool]_IsItalic()_[@(0.0.255) const]&]
+[s5;:AttrText`:`:IsUnderline`(`)const:%- [@(0.0.255) bool]_IsUnderline()_[@(0.0.255) cons
+t]&]
+[s5;:AttrText`:`:IsStrikeout`(`)const:%- [@(0.0.255) bool]_IsStrikeout()_[@(0.0.255) cons
+t]&]
+[s2;%- Tests whether bold/italic/underline/strikeout is active.&]
+[s3;%- &]
+[s4;%- &]
+[s5;:AttrText`:`:IsNonAntiAliased`(`)const:%- [@(0.0.255) bool]_IsNonAntiAliased()_[@(0.0.255) c
+onst]&]
+[s2; True if NonAntiAliased is active.&]
+[s3;%- &]
+[s4;%- &]
+[s5;:AttrText`:`:Bold`(`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_Bold()&]
+[s5;:AttrText`:`:NoBold`(`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_NoBold()&]
+[s5;:AttrText`:`:Bold`(bool`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_Bold([@(0.0.255) boo
+l]_[@3 b])&]
+[s5;:AttrText`:`:Italic`(`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_Italic()&]
+[s5;:AttrText`:`:NoItalic`(`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_NoItalic()&]
+[s5;:AttrText`:`:Italic`(bool`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_Italic([@(0.0.255) b
+ool]_[@3 b])&]
+[s5;:AttrText`:`:Underline`(`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_Underline()&]
+[s5;:AttrText`:`:NoUnderline`(`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_NoUnderline()&]
+[s5;:AttrText`:`:Underline`(bool`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_Underline([@(0.0.255) b
+ool]_[@3 b])&]
+[s5;:AttrText`:`:Strikeout`(`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_Strikeout()&]
+[s5;:AttrText`:`:NoStrikeout`(`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_NoStrikeout()&]
+[s5;:AttrText`:`:Strikeout`(bool`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_Strikeout([@(0.0.255) b
+ool]_[@3 b])&]
+[s2;%- Sets or unsets bold/italic/undeline/strikeout modes.&]
+[s3; &]
+[s4;%- &]
+[s5;:AttrText`:`:NonAntiAliased`(`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_NonAntiAlias
+ed()&]
+[s5;:AttrText`:`:NoNonAntiAliased`(`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_NoNonAntiA
+liased()&]
+[s5;:AttrText`:`:NonAntiAliased`(bool`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_NonAntiA
+liased([@(0.0.255) bool]_[@3 b])&]
+[s2; Sets/unsets non`-anti`-aliased flag. This indicates that anti`-aliasing 
+should not be used when painting the font.&]
+[s3; &]
+[s4;%- &]
 [s5;:AttrText`:`:Align`(int`):%- [_^AttrText^ AttrText][@(0.0.255) `&]_Align([@(0.0.255) in
 t]_[@3 a])&]
 [s2; Sets the text horizontal alignment. Approved values are ALIGN`_LEFT, 
diff -ruN uppsrc.orig/Draw/src.tpp/Font$en-us.tpp uppsrc/Draw/src.tpp/Font$en-us.tpp
--- uppsrc.orig/Draw/src.tpp/Font$en-us.tpp	2010-03-25 02:05:01 +0600
+++ uppsrc/Draw/src.tpp/Font$en-us.tpp	2011-10-12 20:22:52 +0600
@@ -157,6 +157,17 @@
 [s2;%% True if NonAntiAliased is active.&]
 [s3; &]
 [s4; &]
+[s5;:Font`:`:GetFlags`(`)const: [_^dword^ dword]_GetFlags()_[@(0.0.255) const]&]
+[s2;%% Returns font modes.&]
+[s3; &]
+[s4; &]
+[s5;:Font`:`:SetFlags`(dword`): [_^Font^ Font][@(0.0.255) `&]_SetFlags([_^dword^ dword]_[@3 f
+lags])&]
+[s2; Sets font modes to [*@3 flags].&]
+[s7; [*@3 flags]-|The font modes.&]
+[s7;%% [*/ Return value]-|`*this.&]
+[s3;%% &]
+[s4; &]
 [s5;:Font`:`:FaceName`(const String`&`): [_^Font^ Font][@(0.0.255) `&]_FaceName([@(0.0.255) c
 onst]_[_^String^ String][@(0.0.255) `&]_[@3 name])&]
 [s2;%% Sets the face to [%-*@3 name]. If name is not valid face`-name, 
